using System;
using System.Collections;
using System.Text;

namespace SortedListDemo
{
   class MainClass
   {
      public static void Main(string[] args)
      {
         SortedList sl = new SortedList();

         sl.Add("Petarda dywanik", 24.99d);
         sl.Add("Odrzutowy cukierek", 52.99d);
         sl.Add("Potężna bomba", 21.99d);
         sl.Add("Naprawdę wielka bomba", 33.99d);

         Console.WriteLine("Posortowana lista produktów:");
         foreach (DictionaryEntry de in sl)
         {
            Console.WriteLine(string.Format("\n{0} kosztuje {1:c}", de.Key, de.Value));
         }
         Console.ReadLine();
      }
   }
}
